Subject: bug#62776: 30.0.50; 'project-find-file' ignoring 'file-name-history'

From: Dmitry Gutov <[email-masked]>
Date: Wed, 12 Apr 2023 04:18:01 +0300

Hi! Thanks for the report.

On 11/04/2023 18:21, Rudolf Adamkovič via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> I am on Emacs 30 with Vertico.  At some point during the Emacs 29/30
> development cycle, C-x p f (project-find-file) stopped suggesting
> recently opened files correctly.  More specifically, opening a project
> file updates the 'file-name-history', but the command does not suggest
> recent items based on the content of the variable.
> 
> C-x C-f (find-file) works well in this regard.
> 
> Perhaps bug#58447 created this problem?
> 
> Some of the items stored in the 'file-name-history':
> 
> "~/src/eg/core/db.fnl"          ; project ~/src/eg
> "~/src/eg/core/atrium.fnl"      ; project ~/src/eg
> "~/org/collatz-conjecture.org"  ; project ~/
> "~/org/complement.org"          ; project ~/
> ...
> 
> Thank you in advance!

Any chance something is up in Vertico? Or with your config?

 From what I can see, inserting previous historical entries during 
project file completion (with 'M-n') seems to work fine both when using 
the default completion UI, and with Counsel (which is what my current 
session is equipped with).

I also tried replacing the latter with 'M-x vertico-mode' just now, and 
'M-n' seemed to work fine there, suggesting the files visited previously 
with the same command. Tested in both Emacs 29 and 30.